Subject: Re: [MMUSIC] Review of draft-ietf-mmusic-sdp-bundle-negotiation-32 (Part I) - Ekr's comment on the Mux Category Considerations section

From: Christer Holmberg <[email-masked]>
Date: Wed, 5 Oct 2016 10:37:08 +0000

Hi,

…

>S 8.1.
>This seems like a key concept: there are a number of different categories
>of attributes and some are shared with all members of a bundle group
>and some are not. To what extent is this draft just duplicative of those
>listed in the mux-attributes draft?

Not sure I understand the question.

My point is that the concept you need to know for *this draft* is:

- Some attributes are shared and some are not.

The detailed rules are defined in the mux attributes draft, right?

Yes. So, perhaps we should not use RFC2119 terminology in draft-bundle, but simple refer to draft-mux-attributes for the rules.

That would be my recommendation.

I had a closer look at this, and the text is actually NOT covered by draft-mux-attributes.

While draft-mux-attributes defines the categories, the attribute value restrictions based on category etc, the text in Section 8.1 says that IDENTICAL/TRANSPORT category attribute are only associated with the BUNDLE-tag m- line to begin with.

We can of course discuss whether THAT should also be described in draft-mux-attributres, but currently it’s not.

Regards,

Christer